Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: Mac deploy problems  (Read 2782 times)

0 Members and 1 Guest are viewing this topic.

prchakal

  • Full Member
  • ***
  • Posts: 142
    • View Profile
Mac deploy problems
« on: May 21, 2013, 07:35:09 pm »
Hi,

What libs i need link with my project to deploy my application on other Mac.

I currently link to:
- SFML
- Box2D
- sndfile (framework)
- freetype (framework)

I need link with these too?

- libGLEW
- libjpeg

I compile the project on my mac with osx 10.8, and on mac 10.7.5 i got error. I think that the problem can be this libs, but i need know if i need link my program with those libraries or the problem is the osx version that is different.

thanks.

Hiura

  • SFML Team
  • Hero Member
  • *****
  • Posts: 4321
    • View Profile
    • Email
Re: Mac deploy problems
« Reply #1 on: May 21, 2013, 09:02:23 pm »

a/ use the correct SFML binaries (see download page) to be compatible with 10.7.
b/ use the templates for Xcode to create a SFML project – they take care of packaging of SFML and its dependencies.
c/ learn how to use Xcode to add Box2D lib and make sure it is exported to your application bundle.

You don't need to do anything with libGLEW and libjpeg.

now, if you are confident your did everything right, then get and post the exact error your have on 10.7 here to get more help.
SFML / OS X developer

prchakal

  • Full Member
  • ***
  • Posts: 142
    • View Profile
Re: Mac deploy problems
« Reply #2 on: May 21, 2013, 09:16:58 pm »
You dont release a pre-compiled version for 10.7 (clang), only 10.8.


Hiura

  • SFML Team
  • Hero Member
  • *****
  • Posts: 4321
    • View Profile
    • Email
Re: Mac deploy problems
« Reply #3 on: May 21, 2013, 09:17:32 pm »
take 10.5+ or compile it yourself if you absolutely need clang/libc++
SFML / OS X developer

prchakal

  • Full Member
  • ***
  • Posts: 142
    • View Profile
Re: Mac deploy problems
« Reply #4 on: May 21, 2013, 09:23:43 pm »
But my compiler on 10.8 is clang. I can use gcc version 10.5+ with my clang?

I think that is incompatible, no?

Hiura

  • SFML Team
  • Hero Member
  • *****
  • Posts: 4321
    • View Profile
    • Email
Re: Mac deploy problems
« Reply #5 on: May 21, 2013, 09:26:35 pm »
b/ use the templates for Xcode to create a SFML project – they take care of packaging of SFML and its dependencies.
and they also take care of using the correct compiler (gcc is still available on 10.8, or at least with the CLT).
SFML / OS X developer

Cornstalks

  • Full Member
  • ***
  • Posts: 180
    • View Profile
    • My Website
Re: Mac deploy problems
« Reply #6 on: May 22, 2013, 04:53:55 am »
But my compiler on 10.8 is clang. I can use gcc version 10.5+ with my clang?

I think that is incompatible, no?
If you want, I provide "nightly" builds of SFML and have pre-built binaries for what you want (let me know if you have any issues!). It's also not too hard to build them yourself.

 

anything